Create appeasement
curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/order/appeasement \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"orderNumber": "123",
"userID": "12",
"source": "SFSC",
"appeasementType": "refund",
"customer": {
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john@fabric.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"userId": "62272e917b12209e68751d94",
"accountId": "62272e917b12209e68751d94",
"employeeId": "62272e917b12209e68751d94",
"company": "fabric"
},
"appeasements": [
{
"value": 12.5,
"appeasementCounter": 1,
"reasonCode": "Late Delivery",
"subReasonCode": "subReasonCode",
"notes": "Any additional info",
"payments": [
{
"paymentCounter": 1,
"refundAmount": 40
}
]
}
],
"items": [
{
"lineItemId": "d538b1f1-0e45-43c6-bfc6-9666fc1188ca",
"appeasements": [
{
"value": 12.5,
"appeasementCounter": 1,
"reasonCode": "Late Delivery",
"subReasonCode": "subReasonCode",
"notes": "Any additional info",
"payments": [
{
"paymentCounter": 1,
"refundAmount": 40
}
]
}
]
}
]
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/order/appeasement"
payload = {
"orderNumber": "123",
"userID": "12",
"source": "SFSC",
"appeasementType": "refund",
"customer": {
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john@fabric.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"userId": "62272e917b12209e68751d94",
"accountId": "62272e917b12209e68751d94",
"employeeId": "62272e917b12209e68751d94",
"company": "fabric"
},
"appeasements": [
{
"value": 12.5,
"appeasementCounter": 1,
"reasonCode": "Late Delivery",
"subReasonCode": "subReasonCode",
"notes": "Any additional info",
"payments": [
{
"paymentCounter": 1,
"refundAmount": 40
}
]
}
],
"items": [
{
"lineItemId": "d538b1f1-0e45-43c6-bfc6-9666fc1188ca",
"appeasements": [
{
"value": 12.5,
"appeasementCounter": 1,
"reasonCode": "Late Delivery",
"subReasonCode": "subReasonCode",
"notes": "Any additional info",
"payments": [
{
"paymentCounter": 1,
"refundAmount": 40
}
]
}
]
}
]
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
orderNumber: '123',
userID: '12',
source: 'SFSC',
appeasementType: 'refund',
customer: {
name: {first: 'John', middle: 'Middle', last: 'Doe'},
email: 'john@fabric.inc',
phone: {number: '55555555555', type: 'MOBILE'},
userId: '62272e917b12209e68751d94',
accountId: '62272e917b12209e68751d94',
employeeId: '62272e917b12209e68751d94',
company: 'fabric'
},
appeasements: [
{
value: 12.5,
appeasementCounter: 1,
reasonCode: 'Late Delivery',
subReasonCode: 'subReasonCode',
notes: 'Any additional info',
payments: [{paymentCounter: 1, refundAmount: 40}]
}
],
items: [
{
lineItemId: 'd538b1f1-0e45-43c6-bfc6-9666fc1188ca',
appeasements: [
{
value: 12.5,
appeasementCounter: 1,
reasonCode: 'Late Delivery',
subReasonCode: 'subReasonCode',
notes: 'Any additional info',
payments: [{paymentCounter: 1, refundAmount: 40}]
}
]
}
]
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/order/appeasement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/order/appeasement",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'orderNumber' => '123',
'userID' => '12',
'source' => 'SFSC',
'appeasementType' => 'refund',
'customer' => [
'name' => [
'first' => 'John',
'middle' => 'Middle',
'last' => 'Doe'
],
'email' => 'john@fabric.inc',
'phone' => [
'number' => '55555555555',
'type' => 'MOBILE'
],
'userId' => '62272e917b12209e68751d94',
'accountId' => '62272e917b12209e68751d94',
'employeeId' => '62272e917b12209e68751d94',
'company' => 'fabric'
],
'appeasements' => [
[
'value' => 12.5,
'appeasementCounter' => 1,
'reasonCode' => 'Late Delivery',
'subReasonCode' => 'subReasonCode',
'notes' => 'Any additional info',
'payments' => [
[
'paymentCounter' => 1,
'refundAmount' => 40
]
]
]
],
'items' => [
[
'lineItemId' => 'd538b1f1-0e45-43c6-bfc6-9666fc1188ca',
'appeasements' => [
[
'value' => 12.5,
'appeasementCounter' => 1,
'reasonCode' => 'Late Delivery',
'subReasonCode' => 'subReasonCode',
'notes' => 'Any additional info',
'payments' => [
[
'paymentCounter' => 1,
'refundAmount' => 40
]
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/order/appeasement"
payload := strings.NewReader("{\n \"orderNumber\": \"123\",\n \"userID\": \"12\",\n \"source\": \"SFSC\",\n \"appeasementType\": \"refund\",\n \"customer\": {\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"john@fabric.inc\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"userId\": \"62272e917b12209e68751d94\",\n \"accountId\": \"62272e917b12209e68751d94\",\n \"employeeId\": \"62272e917b12209e68751d94\",\n \"company\": \"fabric\"\n },\n \"appeasements\": [\n {\n \"value\": 12.5,\n \"appeasementCounter\": 1,\n \"reasonCode\": \"Late Delivery\",\n \"subReasonCode\": \"subReasonCode\",\n \"notes\": \"Any additional info\",\n \"payments\": [\n {\n \"paymentCounter\": 1,\n \"refundAmount\": 40\n }\n ]\n }\n ],\n \"items\": [\n {\n \"lineItemId\": \"d538b1f1-0e45-43c6-bfc6-9666fc1188ca\",\n \"appeasements\": [\n {\n \"value\": 12.5,\n \"appeasementCounter\": 1,\n \"reasonCode\": \"Late Delivery\",\n \"subReasonCode\": \"subReasonCode\",\n \"notes\": \"Any additional info\",\n \"payments\": [\n {\n \"paymentCounter\": 1,\n \"refundAmount\": 40\n }\n ]\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://prod01.oms.fabric.inc/api/v2/order/appeasement")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"orderNumber\": \"123\",\n \"userID\": \"12\",\n \"source\": \"SFSC\",\n \"appeasementType\": \"refund\",\n \"customer\": {\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"john@fabric.inc\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"userId\": \"62272e917b12209e68751d94\",\n \"accountId\": \"62272e917b12209e68751d94\",\n \"employeeId\": \"62272e917b12209e68751d94\",\n \"company\": \"fabric\"\n },\n \"appeasements\": [\n {\n \"value\": 12.5,\n \"appeasementCounter\": 1,\n \"reasonCode\": \"Late Delivery\",\n \"subReasonCode\": \"subReasonCode\",\n \"notes\": \"Any additional info\",\n \"payments\": [\n {\n \"paymentCounter\": 1,\n \"refundAmount\": 40\n }\n ]\n }\n ],\n \"items\": [\n {\n \"lineItemId\": \"d538b1f1-0e45-43c6-bfc6-9666fc1188ca\",\n \"appeasements\": [\n {\n \"value\": 12.5,\n \"appeasementCounter\": 1,\n \"reasonCode\": \"Late Delivery\",\n \"subReasonCode\": \"subReasonCode\",\n \"notes\": \"Any additional info\",\n \"payments\": [\n {\n \"paymentCounter\": 1,\n \"refundAmount\": 40\n }\n ]\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/order/appeasement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"orderNumber\": \"123\",\n \"userID\": \"12\",\n \"source\": \"SFSC\",\n \"appeasementType\": \"refund\",\n \"customer\": {\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"john@fabric.inc\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"userId\": \"62272e917b12209e68751d94\",\n \"accountId\": \"62272e917b12209e68751d94\",\n \"employeeId\": \"62272e917b12209e68751d94\",\n \"company\": \"fabric\"\n },\n \"appeasements\": [\n {\n \"value\": 12.5,\n \"appeasementCounter\": 1,\n \"reasonCode\": \"Late Delivery\",\n \"subReasonCode\": \"subReasonCode\",\n \"notes\": \"Any additional info\",\n \"payments\": [\n {\n \"paymentCounter\": 1,\n \"refundAmount\": 40\n }\n ]\n }\n ],\n \"items\": [\n {\n \"lineItemId\": \"d538b1f1-0e45-43c6-bfc6-9666fc1188ca\",\n \"appeasements\": [\n {\n \"value\": 12.5,\n \"appeasementCounter\": 1,\n \"reasonCode\": \"Late Delivery\",\n \"subReasonCode\": \"subReasonCode\",\n \"notes\": \"Any additional info\",\n \"payments\": [\n {\n \"paymentCounter\": 1,\n \"refundAmount\": 40\n }\n ]\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"responseCode": "SUCCESS",
"responseMessage": "API Operation successfully completed",
"responseData": {
"orderNumber": "12",
"totalAmountRefunded": 25.5,
"channel": "12",
"tenant": "5f689caa4216e7000750d1ef"
}
}{
"message": "Bad Request"
}{
"message": "Not Found"
}{
"message": "Internal Server Error"
}Appeasement
Create appeasement
Creates an appeasement for customer order.
POST
/
order
/
appeasement
Create appeasement
curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/order/appeasement \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"orderNumber": "123",
"userID": "12",
"source": "SFSC",
"appeasementType": "refund",
"customer": {
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john@fabric.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"userId": "62272e917b12209e68751d94",
"accountId": "62272e917b12209e68751d94",
"employeeId": "62272e917b12209e68751d94",
"company": "fabric"
},
"appeasements": [
{
"value": 12.5,
"appeasementCounter": 1,
"reasonCode": "Late Delivery",
"subReasonCode": "subReasonCode",
"notes": "Any additional info",
"payments": [
{
"paymentCounter": 1,
"refundAmount": 40
}
]
}
],
"items": [
{
"lineItemId": "d538b1f1-0e45-43c6-bfc6-9666fc1188ca",
"appeasements": [
{
"value": 12.5,
"appeasementCounter": 1,
"reasonCode": "Late Delivery",
"subReasonCode": "subReasonCode",
"notes": "Any additional info",
"payments": [
{
"paymentCounter": 1,
"refundAmount": 40
}
]
}
]
}
]
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/order/appeasement"
payload = {
"orderNumber": "123",
"userID": "12",
"source": "SFSC",
"appeasementType": "refund",
"customer": {
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john@fabric.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"userId": "62272e917b12209e68751d94",
"accountId": "62272e917b12209e68751d94",
"employeeId": "62272e917b12209e68751d94",
"company": "fabric"
},
"appeasements": [
{
"value": 12.5,
"appeasementCounter": 1,
"reasonCode": "Late Delivery",
"subReasonCode": "subReasonCode",
"notes": "Any additional info",
"payments": [
{
"paymentCounter": 1,
"refundAmount": 40
}
]
}
],
"items": [
{
"lineItemId": "d538b1f1-0e45-43c6-bfc6-9666fc1188ca",
"appeasements": [
{
"value": 12.5,
"appeasementCounter": 1,
"reasonCode": "Late Delivery",
"subReasonCode": "subReasonCode",
"notes": "Any additional info",
"payments": [
{
"paymentCounter": 1,
"refundAmount": 40
}
]
}
]
}
]
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
orderNumber: '123',
userID: '12',
source: 'SFSC',
appeasementType: 'refund',
customer: {
name: {first: 'John', middle: 'Middle', last: 'Doe'},
email: 'john@fabric.inc',
phone: {number: '55555555555', type: 'MOBILE'},
userId: '62272e917b12209e68751d94',
accountId: '62272e917b12209e68751d94',
employeeId: '62272e917b12209e68751d94',
company: 'fabric'
},
appeasements: [
{
value: 12.5,
appeasementCounter: 1,
reasonCode: 'Late Delivery',
subReasonCode: 'subReasonCode',
notes: 'Any additional info',
payments: [{paymentCounter: 1, refundAmount: 40}]
}
],
items: [
{
lineItemId: 'd538b1f1-0e45-43c6-bfc6-9666fc1188ca',
appeasements: [
{
value: 12.5,
appeasementCounter: 1,
reasonCode: 'Late Delivery',
subReasonCode: 'subReasonCode',
notes: 'Any additional info',
payments: [{paymentCounter: 1, refundAmount: 40}]
}
]
}
]
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/order/appeasement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/order/appeasement",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'orderNumber' => '123',
'userID' => '12',
'source' => 'SFSC',
'appeasementType' => 'refund',
'customer' => [
'name' => [
'first' => 'John',
'middle' => 'Middle',
'last' => 'Doe'
],
'email' => 'john@fabric.inc',
'phone' => [
'number' => '55555555555',
'type' => 'MOBILE'
],
'userId' => '62272e917b12209e68751d94',
'accountId' => '62272e917b12209e68751d94',
'employeeId' => '62272e917b12209e68751d94',
'company' => 'fabric'
],
'appeasements' => [
[
'value' => 12.5,
'appeasementCounter' => 1,
'reasonCode' => 'Late Delivery',
'subReasonCode' => 'subReasonCode',
'notes' => 'Any additional info',
'payments' => [
[
'paymentCounter' => 1,
'refundAmount' => 40
]
]
]
],
'items' => [
[
'lineItemId' => 'd538b1f1-0e45-43c6-bfc6-9666fc1188ca',
'appeasements' => [
[
'value' => 12.5,
'appeasementCounter' => 1,
'reasonCode' => 'Late Delivery',
'subReasonCode' => 'subReasonCode',
'notes' => 'Any additional info',
'payments' => [
[
'paymentCounter' => 1,
'refundAmount' => 40
]
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/order/appeasement"
payload := strings.NewReader("{\n \"orderNumber\": \"123\",\n \"userID\": \"12\",\n \"source\": \"SFSC\",\n \"appeasementType\": \"refund\",\n \"customer\": {\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"john@fabric.inc\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"userId\": \"62272e917b12209e68751d94\",\n \"accountId\": \"62272e917b12209e68751d94\",\n \"employeeId\": \"62272e917b12209e68751d94\",\n \"company\": \"fabric\"\n },\n \"appeasements\": [\n {\n \"value\": 12.5,\n \"appeasementCounter\": 1,\n \"reasonCode\": \"Late Delivery\",\n \"subReasonCode\": \"subReasonCode\",\n \"notes\": \"Any additional info\",\n \"payments\": [\n {\n \"paymentCounter\": 1,\n \"refundAmount\": 40\n }\n ]\n }\n ],\n \"items\": [\n {\n \"lineItemId\": \"d538b1f1-0e45-43c6-bfc6-9666fc1188ca\",\n \"appeasements\": [\n {\n \"value\": 12.5,\n \"appeasementCounter\": 1,\n \"reasonCode\": \"Late Delivery\",\n \"subReasonCode\": \"subReasonCode\",\n \"notes\": \"Any additional info\",\n \"payments\": [\n {\n \"paymentCounter\": 1,\n \"refundAmount\": 40\n }\n ]\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://prod01.oms.fabric.inc/api/v2/order/appeasement")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"orderNumber\": \"123\",\n \"userID\": \"12\",\n \"source\": \"SFSC\",\n \"appeasementType\": \"refund\",\n \"customer\": {\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"john@fabric.inc\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"userId\": \"62272e917b12209e68751d94\",\n \"accountId\": \"62272e917b12209e68751d94\",\n \"employeeId\": \"62272e917b12209e68751d94\",\n \"company\": \"fabric\"\n },\n \"appeasements\": [\n {\n \"value\": 12.5,\n \"appeasementCounter\": 1,\n \"reasonCode\": \"Late Delivery\",\n \"subReasonCode\": \"subReasonCode\",\n \"notes\": \"Any additional info\",\n \"payments\": [\n {\n \"paymentCounter\": 1,\n \"refundAmount\": 40\n }\n ]\n }\n ],\n \"items\": [\n {\n \"lineItemId\": \"d538b1f1-0e45-43c6-bfc6-9666fc1188ca\",\n \"appeasements\": [\n {\n \"value\": 12.5,\n \"appeasementCounter\": 1,\n \"reasonCode\": \"Late Delivery\",\n \"subReasonCode\": \"subReasonCode\",\n \"notes\": \"Any additional info\",\n \"payments\": [\n {\n \"paymentCounter\": 1,\n \"refundAmount\": 40\n }\n ]\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/order/appeasement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"orderNumber\": \"123\",\n \"userID\": \"12\",\n \"source\": \"SFSC\",\n \"appeasementType\": \"refund\",\n \"customer\": {\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"john@fabric.inc\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"userId\": \"62272e917b12209e68751d94\",\n \"accountId\": \"62272e917b12209e68751d94\",\n \"employeeId\": \"62272e917b12209e68751d94\",\n \"company\": \"fabric\"\n },\n \"appeasements\": [\n {\n \"value\": 12.5,\n \"appeasementCounter\": 1,\n \"reasonCode\": \"Late Delivery\",\n \"subReasonCode\": \"subReasonCode\",\n \"notes\": \"Any additional info\",\n \"payments\": [\n {\n \"paymentCounter\": 1,\n \"refundAmount\": 40\n }\n ]\n }\n ],\n \"items\": [\n {\n \"lineItemId\": \"d538b1f1-0e45-43c6-bfc6-9666fc1188ca\",\n \"appeasements\": [\n {\n \"value\": 12.5,\n \"appeasementCounter\": 1,\n \"reasonCode\": \"Late Delivery\",\n \"subReasonCode\": \"subReasonCode\",\n \"notes\": \"Any additional info\",\n \"payments\": [\n {\n \"paymentCounter\": 1,\n \"refundAmount\": 40\n }\n ]\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"responseCode": "SUCCESS",
"responseMessage": "API Operation successfully completed",
"responseData": {
"orderNumber": "12",
"totalAmountRefunded": 25.5,
"channel": "12",
"tenant": "5f689caa4216e7000750d1ef"
}
}{
"message": "Bad Request"
}{
"message": "Not Found"
}{
"message": "Internal Server Error"
}Authorizations
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
application/json
Appeasement request details
Response
Appeasement Completed
ServiceResponse Model
Was this page helpful?
